<?php if (!defined('ABSPATH')) die;

if (!wp_next_scheduled('p3_daily_event')) {
	wp_schedule_event(time(), 'daily', 'p3_daily_event'); // hourly, twicedaily, daily
}

// Daily event
function p3_daily_event_function() {

	// Refresh social counters
	delete_transient('p3_stats_gen');
	
	// Refresh Instagram access token
	$instagram_deets = get_option('pipdig_instagram');
	$access_token = sanitize_text_field($instagram_deets['access_token']);
	if (!empty($access_token)) {
		p3_refresh_ig_access_token($access_token);
	}

}
add_action('p3_daily_event', 'p3_daily_event_function');


function pipdig_p3_scrapey_scrapes() {

	if (get_transient('p3_stats_gen') === false) {

		set_transient('p3_stats_gen', 1, 4 * HOUR_IN_SECONDS);

		$today = array();

		if (get_option('p3_pinterest_count')) {
			$today['pinterest'] = absint(get_option('p3_pinterest_count'));
		}
		
		if (get_option('p3_twitter_count')) {
			$today['twitter'] = absint(get_option('p3_twitter_count'));
		}
		
		if (get_option('p3_facebook_count')) {
			$today['facebook'] = absint(get_option('p3_facebook_count'));
		}
		
		if (get_option('p3_instagram_count')) {
			$today['instagram'] = absint(get_option('p3_instagram_count'));
		}
		
		if (get_option('p3_youtube_count')) {
			$today['youtube'] = absint(get_option('p3_youtube_count'));
		}

		if (get_option('p3_linkedin_count')) {
			$today['linkedin'] = absint(get_option('p3_linkedin_count'));
		}
		if (get_option('p3_tumblr_count')) {
			$today['tumblr'] = absint(get_option('p3_tumblr_count'));
		}
		if (get_option('p3_soundcloud_count')) {
			$today['soundcloud'] = absint(get_option('p3_soundcloud_count'));
		}
		
		if (get_option('p3_newsletter_count')) {
			$today['newsletter'] = absint(get_option('p3_newsletter_count'));
		}

		if (empty($today)) {
			return;
		}
		
		$p3_stats_data = get_option('p3_stats_data');
		
		if (!is_array($p3_stats_data)) {
			$p3_stats_data = array();
		}

		$todays_date = date('Ymd');
		
		$p3_stats_data[$todays_date] = $today;
		
		update_option('p3_stats_data', $p3_stats_data, 'no');

	}

}
add_action('login_footer', 'pipdig_p3_scrapey_scrapes', 999);