<?php 

if (!defined('ABSPATH')) die;

// [pipdig_social_icons size="15px" color=""]
function pipdig_p3_social_icons_shortcode( $atts, $content = null ) {
	extract( shortcode_atts( array(
		'size' => '',
		'color' => ''
	), $atts ) );
	
	$links = get_option('pipdig_links');
	
	$output = '<div class="socialz p3_social_icons_shortcode">';
	
	if ($size || $color) {
		$output .= '<style scoped>.p3_social_icons_shortcode a {font-size:'.$size.';color:'.$color.';}</style>';
	}
	
	if (!empty($links['twitter'])) {
		$output .= '<a href="'.esc_url($links['twitter']).'" target="_blank" rel="nofollow noopener"><i class="pipdigicons pipdigicons_fab pipdigicons-twitter"></i></a>';
	}
	if (!empty($links['instagram'])) {
		$output .= '<a href="'.esc_url($links['instagram']).'" target="_blank" rel="nofollow noopener"><i class="pipdigicons pipdigicons_fab pipdigicons-instagram"></i></a>';
	}
	if (!empty($links['facebook'])) {
		$output .= '<a href="'.esc_url($links['facebook']).'" target="_blank" rel="nofollow noopener"><i class="pipdigicons pipdigicons_fab pipdigicons-facebook"></i></a>';
	}
	if (!empty($links['bloglovin'])) {
		$output .= '<a href="'.esc_url($links['bloglovin']).'" target="_blank" rel="nofollow noopener"><i class="pipdigicons pipdigicons-plus"></i></a>';
	}
	if (!empty($links['pinterest'])) {
		$output .= '<a href="'.esc_url($links['pinterest']).'" target="_blank" rel="nofollow noopener"><i class="pipdigicons pipdigicons_fab pipdigicons-pinterest"></i></a>';
	}
	if (!empty($links['youtube'])) {
		$output .= '<a href="'.esc_url($links['youtube']).'" target="_blank" rel="nofollow noopener"><i class="pipdigicons pipdigicons_fab pipdigicons-youtube"></i></a>';
	}
	if (!empty($links['tumblr'])) {
		$output .= '<a href="'.esc_url($links['tumblr']).'" target="_blank" rel="nofollow noopener"><i class="pipdigicons pipdigicons_fab pipdigicons-tumblr"></i></a>';
	}
	if (!empty($links['linkedin'])) {
		$output .= '<a href="'.esc_url($links['linkedin']).'" target="_blank" rel="nofollow noopener"><i class="pipdigicons pipdigicons_fab pipdigicons-linkedin"></i></a>';
	}
	if (!empty($links['soundcloud'])) {
		$output .= '<a href="'.esc_url($links['soundcloud']).'" target="_blank" rel="nofollow noopener"><i class="pipdigicons pipdigicons_fab pipdigicons-soundcloud"></i></a>';
	}
	if (!empty($links['flickr'])) {
		$output .= '<a href="'.esc_url($links['flickr']).'" target="_blank" rel="nofollow noopener"><i class="pipdigicons pipdigicons_fab pipdigicons-flickr"></i></a>';
	}
	if (!empty($links['vk'])) {
		$output .= '<a href="'.esc_url($links['vk']).'" target="_blank" rel="nofollow noopener"><i class="pipdigicons pipdigicons_fab pipdigicons-vk"></i></a>';
	}
	if (!empty($links['email'])) {
		$output .= '<a href="mailto:'.sanitize_email($links['email']).'"><i class="pipdigicons pipdigicons-envelope"></i></a>';
	}

	$output .= '</div>';
	
	return $output;
}
add_shortcode( 'pipdig_social_icons', 'pipdig_p3_social_icons_shortcode' );